Name:           python-ultraimport
Version:        0.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Get control over your imports -- no matter how you run your code.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/ronny-rentner/ultraimport
Source:         %{pypi_source ultraimport}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ultraimport' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ultraimport
Summary:        %{summary}

%description -n python3-ultraimport %_description


%prep
%autosetup -p1 -n ultraimport-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ultraimport -f %{pyproject_files}


%changelog
%autochangelog